Bug 452564 - Wammu doesn't connect to nokia mobile phone
Wammu doesn't connect to nokia mobile phone
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wammu (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-23 14:52 EDT by James Begley
Modified: 2009-07-14 11:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:58:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Wammu error log (1.34 KB, text/plain)
2008-06-23 14:52 EDT, James Begley
no flags Details

  None (edit)
Description James Begley 2008-06-23 14:52:39 EDT
Description of problem:
Wammu doesn't connect to nokia mobile phone using bluetooth connection

Version-Release number of selected component (if applicable):
[james@jumbovaio ~]$ rpm -qa | grep ammu
gammu-libs-1.19.0-3.fc9.i386
gammu-devel-1.19.0-3.fc9.i386
python-gammu-0.24-3.fc9.i386
gammu-1.19.0-3.fc9.i386
wammu-0.26-2.fc9.noarch

How reproducible:
Always

Steps to Reproduce:
1. Start wammu
2. Attempt to connect to mobile phone
3.
  
Actual results:
Error message "Error while communicating with phone. Description: error opening 
device. Unknown/busy or no permissions. Function: init. Error code: 2"

Expected results:
Wammu connects to phone

Additional info:
This used to work (with this laptop and this mobile phone) when the laptop was 
running fedora 8.  This is attempting to communicate with the mobile phone over 
bluetooth, so it might be a bluetooth bug and not a wammu/gammu one.  Bluetooth 
details are:

[james@jumbovaio ~]$ rpm -qa | grep bluez
bluez-utils-alsa-3.32-1.fc9.i386
bluez-utils-cups-3.32-1.fc9.i386
bluez-gnome-0.26-1.fc9.i386
pybluez-0.9.2-1.fc7.i386
bluez-utils-3.32-1.fc9.i386
bluez-libs-3.32-1.fc9.i386
bluez-hcidump-1.41-1.fc9.i386
bluez-libs-devel-3.32-1.fc9.i386

The wammu error log is atteched to this bug report.
Running wammu as root doesn't solve the problem, which suggests that it isn't a 
permissions problem.
Comment 1 James Begley 2008-06-23 14:52:39 EDT
Created attachment 310063 [details]
Wammu error log
Comment 2 Xavier Lamien 2008-06-25 16:08:50 EDT
> This is attempting to communicate with the mobile phone over 
> bluetooth, so it might be a bluetooth bug and not a wammu/gammu one.

hm...which phone type do you use ?


Comment 3 James Begley 2008-06-25 19:03:17 EDT
It's a Nokia 6300.  The firmware on the phone has been updated to v6.01 if that 
has any bearing on things.
Comment 4 Xavier Lamien 2008-10-21 17:12:44 EDT
do you have any changes with the updated release ?

btw, wammu phone database report support of this nokia device with firmware version 4.xx => http://cihar.com/gammu/phonedb/nokia/1380/

Could you check if this configuration correctly applied with your updated firmware.

thx
Comment 5 Bug Zapper 2009-06-09 21:44:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:58:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.